The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Libntlm: out-of-bounds memory reading via buildSmbNtlmAuthRequest

Synthesis of the vulnerability 

An attacker can force a read at an invalid address via buildSmbNtlmAuthRequest() of Libntlm, in order to trigger a denial of service, or to obtain sensitive information.
Impacted products: Debian, Fedora, openSUSE Leap, SLES.
Severity of this bulletin: 2/4.
Creation date: 11/05/2020.
Références of this threat: CVE-2019-17455, DLA-2207-1, FEDORA-2020-1f643c272c, FEDORA-2020-8794383d6f, openSUSE-SU-2020:0806-1, openSUSE-SU-2020:0816-1, VIGILANCE-VUL-32217.

Description of the vulnerability 

An attacker can force a read at an invalid address via buildSmbNtlmAuthRequest() of Libntlm, in order to trigger a denial of service, or to obtain sensitive information.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This threat note impacts software or systems such as Debian, Fedora, openSUSE Leap, SLES.

Our Vigil@nce team determined that the severity of this cybersecurity note is medium.

The trust level is of type confirmed by the editor, with an origin of intranet client.

An attacker with a expert ability can exploit this vulnerability note.

Solutions for this threat 

Debian 8: new libntlm packages.
New packages are available:
  Debian 8: libntlm 1.4-3+deb8u1

Fedora 32: new libntlm packages.
New packages are available:
  Fedora 32: libntlm 1.6-1.fc32

Fedora 33: new libntlm packages.
New packages are available:
  Fedora 33: libntlm 1.6-1.fc33

openSUSE Leap 15.1: new libntlm packages.
New packages are available:
  openSUSE Leap 15.1: libntlm 1.6-lp151.3.3.1

SUSE LE 15 SP1: new libntlm packages.
New packages are available:
  SUSE LE 15 SP1: libntlm 1.6-bp151.4.3.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerability database. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.